DMTXLS(1)                                                            DMTXLS(1)

NAME
       dmtxls - DooM TeXtures LiSter

SYNOPSIS
       dmtxls [ -? ] [ -w main WAD file ] [ -pw patch WAD file ] [ -file patch
       WAD files ...  ] [ -t ] [ -f ] [ +v[l] ] [ -n name ] -e episode -m mis-
       sion -o Textures_list_file

AVAILABILITY
       dmtxls  is  derived from dmpsmu/dmpsmap, which has been tested on SunOS
       4.1, IRIX 4.0, Ultrix 4.3, HP-UX 9.0, Linux 1.0.9/2.6/3.13 and  Windows
       32/64-bit, so dmtxls should run fine on the same.

DESCRIPTION
       dmtxls  is  a command-line utility to generate cross-reference lists of
       the wall textures and flats used in levels in DOOM, DOOM  ][,  Ultimate
       DOOM,  Heretic and Heretic: Shadow of the Serpent Riders, the 3D action
       games by id Software and Raven Software.  It’s a handy little tool  for
       PWAD developers, especially when applying custom textures.

       Without  verbose  modes,  just  the texture names are listed alphabeti-
       cally, preceded by the number of times each is used in the level.

       In verbose mode the SideDef/Sector numbers are listed after  each  tex-
       ture  name, followed by letters indicating where exactly the texture is
       in use.  For SideDef numbers: U = Upper, L = Lower and N = Normal (mid-
       dle) texture.  For Sector numbers: F = Floor and C = Ceiling texture.

       In  verbose-line  mode the SideDef numbers are followed by their corre-
       sponding LineDef numbers and indication whether it is the 1st ("right")
       or 2nd ("left") SideDef for each LineDef.

OPTIONS
       Options  are  case-insensitive  and filenames and level names are case-
       sensitive.  Both the short and long forms of the options are listed.

       -? -h -help
              Displays usage information.

       -w -main
              Specifies the name of the main WAD file;  default  is  DOOM.WAD.
              Eg. to use the DOOM ][ main WAD file, specify: -w DOOM2.WAD .

       -pw -pwad
              Specifies  the  name of a patch WAD file.  Eg. to merge a single
              patch WAD file, specify: -pw <file>.WAD .

       -file  Specifies a list of names of patch WAD files.  Eg. to merge sev-
              eral  patch  WAD  files,  specify: -file <file1>.WAD <file2>.WAD
              <file3>.WAD .

       -t -texts
              Turns off listing of wall textures (default on).

       -f -flats
              Turns off listing of flats (default on).

       +v +verbose
              Turns on verbose  listing  of  SideDef/Sector  numbers  (default
              off).

       +vl +verbline
              Turns  on verbose-line listing of LineDef numbers (default off).

       -n -name
              Specifies the user level name to be used when listing the level.
              Overrules  the regular name for that episode/mission. Eg. to set
              the name for a patch WAD level, specify: -n <patch level name> .

       -e -episode
              Specifies  the  episode  number  for  DOOM/Heretic  levels, or 0
              (zero) for DOOM ][ levels. Eg. to set the episode for level  Mt.
              Erebus, specify: -e 3 .

       -m -mission
              Specifies the mission number for DOOM/Heretic levels, or the map
              number for DOOM ][ levels. Eg. to set the mission for level  Mt.
              Erebus, specify: -m 6 .

       -o -txfile
              Specifies  the  name  of  the  output Textures list file. Eg. to
              define an output file for level Mt. Erebus, specify: -o E3M6.lst
              .

       The  options  t, f, v and vl are actually booleans that can be preceded
       by + or -.

EXAMPLE
       The command:

         dmtxls -file foobar.wad -name FooBar -e 1 -m 1 +V -o foobar.lst

       illustrates how various forms of the options can be mixed and gives the
       following messages:

         DMTXLS: DooM TeXtures LiSter, ver 2.1
          By Frans P. de Vries <fpv@gamers.org>
         [Derived from DEU v5.21 GCC by Brendon Wyber and Raphael Quinet]

         Patch WAD file: foobar.wad.
         User level name: FooBar.
         Episode number: 1.
         Mission number: 1.
         Verbose lists.
         Textures output file: foobar.lst.
         Loading main WAD file: DOOM.WAD...
         Loading patch WAD file: foobar.wad...
            [Updating level E1M1]

         Outputting Textures list of level E1M1 to "foobar.lst".

SEE ALSO
       DEU  5.21, by Raphael Quinet and Brendon J. Wyber, ported to GCC by Per
       Allansson and Per Kofod

       DOOM Specs v1.666, by Matt Fell

LIMITATIONS
       LineDef, SideDef and Sector numbers above 9999 disrupt the  table  lay-
       outs, but will not affect the program’s operation.

DIAGNOSTICS
       dmtxls can terminate with error messages in the following format:
              Program Error: *** <error message> ***
       The messages are fairly self-explanatory and are therefore not repeated
       here.

AUTHOR
       Frans P. de Vries <fpv@gamers.org>

DMTXLS                            27 May 2016                        DMTXLS(1)
